PAE check prevents Precise to Trusty upgrades on non-Intel ports

Bug #1294392 reported by Tyler Hicks
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
High
Brian Murray

Bug Description

do-release-upgrade refuses to upgrade a powerpc 12.04 installation to Trusty due to "pae " not being found in /proc/cpuinfo.

I was able to track the problem down to the _checkPae() function in DistUpgrade/DistUpgradeQuirks.py. It unconditionally enforces the PAE flag to be found in cpuinfo without doing any checks on the CPU architecture.

Related branches

tags: added: trusty
Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in ubuntu-release-upgrader (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:0.219

---------------
ubuntu-release-upgrader (1:0.219) trusty; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: only check for PAE support on i386 or
    amd64 systems. (LP: #1294392)
 -- Brian Murray <email address hidden> Fri, 21 Mar 2014 14:27:34 -0700

Changed in ubuntu-release-upgrader (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers